﻿using UnityEngine.UI;
using UnityEngine.Networking;
using UnityEngine;
using System.Collections.Generic;
using UnityEngine.Networking.Match;

public class CustomHUD : MonoBehaviour
{
    private NetworkManager nm;

    private void Start()
    {
        nm = GetComponent<NetworkManager>();
    }

    public void HostGame()
    {
        if(nm.matchMaker == null)
        {
            nm.StartMatchMaker();
        }

        nm.matchMaker.CreateMatch(nm.matchName, nm.matchSize, true, "", "", "", 0, 0, nm.OnMatchCreate);
    }

    public void FindGame()
    {
        if(nm.matchMaker == null)
        {
            nm.StartMatchMaker();
        }
        nm.matchMaker.ListMatches(0, 5, nm.matchName, false, 0, 0, OnMatchList);
    }

    private void OnMatchList(bool success, string extendedInfo, List<MatchInfoSnapshot> responseData)
    {
        nm.OnMatchList(success, extendedInfo, responseData);
        foreach(var match in responseData)
        {
            if(match.currentSize == 1)
            {
                nm.matchMaker.JoinMatch(match.networkId, "", "", "", 0, 0, nm.OnMatchJoined);
                return;
            }
        }
    }

    public void QuitButton()
    {
        nm.StopClient();
        //Network.Disconnect();
    }
}
