﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class SinglePlayerController : MonoBehaviour
{
    public AudioClip[] sfx;
    public AudioSource audioSource;
    public float cooldown = 0.6f;
    //public Text forceText;

    float lowPassFilterFactor;
    Vector3 lowPassValue;
    float accelerometerUpdateInterval = 1.0f / 60.0f;
    float lowPassKernelWidthInSeconds = 2.5f;
    public float shakeDetectionThreshold = 2.5f;

    float cooldownTime;

    private void Start()
    {
        cooldownTime = cooldown;
        lowPassFilterFactor = accelerometerUpdateInterval / lowPassKernelWidthInSeconds;
        shakeDetectionThreshold *= shakeDetectionThreshold;
        lowPassValue = Input.acceleration;
    }

    void Update()
    {
        cooldownTime -= Time.deltaTime;
        if(cooldownTime > 0f)
        {
            return;
        }

        Vector3 acceleration = Input.acceleration;
        lowPassValue = Vector3.Lerp(lowPassValue, acceleration, lowPassFilterFactor);
        Vector3 deltaAcceleration = acceleration - lowPassValue;

        if(deltaAcceleration.sqrMagnitude >= shakeDetectionThreshold || Input.GetMouseButtonDown(0))
        {
            //forceText.text = deltaAcceleration.sqrMagnitude.ToString();
            Swing();
        }
    }
    
    void Swing()
    {
        audioSource.PlayOneShot(sfx[Random.Range(0, sfx.Length)]);
        cooldownTime = cooldown;
    }

    public void SetCooldown(string text)
    {
        cooldown = float.Parse(text);
    }

    public void SetThreshold(string text)
    {
        shakeDetectionThreshold = float.Parse(text);
    }
    public void BackToMenu()
    {
        UnityEngine.SceneManagement.SceneManager.LoadScene(0);
    }


}
